Bug 1027521 - Review Request: rubygem-creole - Lightweight markup language
Review Request: rubygem-creole - Lightweight markup language
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 21:04 EST by Ken Dreyer
Modified: 2013-12-13 22:49 EST (History)
1 user (show)

See Also:
Fixed In Version: rubygem-creole-0.5.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 04:34:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-11-06 21:04:45 EST
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-creole.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-creole-0.5.0-1.fc21.src.rpm
Description: Creole is a lightweight markup language (http://wikicreole.org/).
Fedora Account System Username: ktdreyer

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6147505
Comment 1 Mamoru TASAKA 2013-11-16 14:28:20 EST
Taking.

I would appreciate it if you would review one of my review requests. (e.g. bug 1031314 )
Comment 2 Mamoru TASAKA 2013-11-18 03:39:19 EST
For 0.5.0-1

* Licensing
  - Currently I cannot find out where "and BSD" comes from.
    Reading README.creole, it seems that the license tag should
    be "Ruby". Would you check this?

Other things seems okay.
- spec file clean
- Builds file
- Can be installed
- At least ruby -e "require 'creole' ; puts Creole::VERSION" works
Comment 3 Ken Dreyer 2013-11-19 01:36:58 EST
(In reply to Mamoru TASAKA from comment #2)
> For 0.5.0-1
> 
> * Licensing
>   - Currently I cannot find out where "and BSD" comes from.
>     Reading README.creole, it seems that the license tag should
>     be "Ruby". Would you check this?

Thanks for reviewing. I thought "Ruby or BSD" was the correct summary to describe "the terms specified in the README file of the Ruby distribution"? Eg. https://github.com/ruby/ruby/blob/trunk/COPYING ... isn't that Ruby or BSD? Please correct me if not.
Comment 4 Mamoru TASAKA 2013-11-19 02:08:23 EST
(In reply to Ken Dreyer from comment #3)
> (In reply to Mamoru TASAKA from comment #2)
> > For 0.5.0-1
> > 
> > * Licensing
> >   - Currently I cannot find out where "and BSD" comes from.
> >     Reading README.creole, it seems that the license tag should
> >     be "Ruby". Would you check this?
> 
> Thanks for reviewing. I thought "Ruby or BSD" was the correct summary to
> describe "the terms specified in the README file of the Ruby distribution"?
> Eg. https://github.com/ruby/ruby/blob/trunk/COPYING ... isn't that Ruby or
> BSD? Please correct me if not.

Well, in that case I guess it should be "GPLv2 or Ruby", because
Ruby's license changed from "GPLv2 or Ruby" to "BSD or Ruby" on
ruby 1.9.3, and  README.creole says Copyright (c) 2008.
(I don't assume that creole upstream allows also-relicense when
 Ruby's license changes)
Comment 5 Mamoru TASAKA 2013-11-19 02:08:56 EST
(In reply to Mamoru TASAKA from comment #4)
> (I don't assume that creole upstream allows also-relicense when
>  Ruby's license changes)

I meant "auto-relicense"
Comment 6 Ken Dreyer 2013-11-19 10:43:04 EST
Thanks. I've adjusted the License field and included a copy of the GPLv2 text.

* Tue Nov 19 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.5.0-2
- Update License (RHBZ #1027521)
- Change URL to use HTTPS

Exact change in Git: http://fedorapeople.org/cgit/ktdreyer/public_git/rubygem-creole.git/commit/?id=0ed3c870578dea259bd5cd5b94acad261652d8b2

Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-creole.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-creole-0.5.0-2.fc21.src.rpm

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6198775
Comment 7 Mamoru TASAKA 2013-11-21 09:27:22 EST
Please fix "install" command like bug 1028168 .

-------------------------------------------------
  This package (rubygem-creole) is APPROVED by
  mtasaka
--------------------------------------------------
Comment 8 Ken Dreyer 2013-11-21 16:53:51 EST
Thanks for pointing out the missing permissions on install. I'll fix that before importing.

Thanks mtasaka for the review!

New Package SCM Request
=======================
Package Name: rubygem-creole
Short Description: Lightweight markup language
Owners: ktdreyer
Branches: f19 f20
Comment 9 Gwyn Ciesla 2013-11-22 08:02:36 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-11-22 15:48:57 EST
rubygem-creole-0.5.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-creole-0.5.0-3.fc20
Comment 11 Fedora Update System 2013-11-22 15:49:50 EST
rubygem-creole-0.5.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-creole-0.5.0-3.fc19
Comment 12 Fedora Update System 2013-11-23 14:37:39 EST
rubygem-creole-0.5.0-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 13 Fedora Update System 2013-12-02 04:34:55 EST
rubygem-creole-0.5.0-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-12-13 22:49:40 EST
rubygem-creole-0.5.0-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.